Modbot Docs
APIAPI referenceAI settings

Get AI chat settings

GET/api/settings/ai/chat

Chat's on/off switch, the AI brief switch, model, extra instructions, limits and tools.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/settings/ai/chat"
{  "enabled": true,  "model": null,  "baseModel": null,  "instructions": null,  "maxToolCalls": 0,  "maxReplyTokens": 0,  "timeLimitSeconds": 0,  "aiEnabled": true,  "tools": [    {      "name": "string",      "label": "string",      "needs": [        "string"      ],      "onlyReads": true,      "enabled": true    }  ],  "briefs": true}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.